#
# spec file for package whois
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           whois
Version:        5.2.16
Release:        0
Summary:        Intelligent WHOIS client
License:        GPL-2.0+
Group:          Productivity/Networking/Other
Url:            http://www.linux.it/~md/software/
Source:         http://ftp.debian.org/debian/pool/main/w/whois/%{name}_%{version}.tar.xz
# https://db.debian.org/ - Debian login "md", md@linux.it
# https://db.debian.org/search.cgi?id=&authtoken=&cn=&sn=&uid=md&ircnick=&fingerprint=
Source2:        %{name}.keyring
# rename .dsc to not build the package in OBS
Source3:        http://ftp.debian.org/debian/pool/main/w/whois/%{name}_%{version}.dsc#/%{name}.asc
Patch0:         whois-nobsdsource.patch
Patch1:         whois-5.2.15-fix-CIDR-with-libidn2.patch
BuildRequires:  pkgconfig
BuildRequires:  xz
BuildRequires:  pkgconfig(libidn2)
Provides:       ripe-whois-tools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} != 1310
BuildRequires:  perl(autodie)
%endif
%if 0%{?suse_version} < 1140
Requires:       perl = %{perl_version}
%else
%{perl_requires}
%endif
%if 0%{?suse_version} <= 1140
BuildRequires:  libxcrypt-devel
%endif

%description
This package provides a commandline client for the WHOIS (RFC 3912)
protocol, which queries online servers for information such as contact
details for domains and IP address assignments.
It can intelligently select the appropriate WHOIS server for most queries.

The package also contains mkpasswd, a features-rich front end to the
password encryption function crypt(3).

%prep
# the signature is on the Debian .dsc. Extract the checksums and verify against source
echo "`grep -A1 "Files:" %{SOURCE3} | grep %{name}_%{version}.tar.xz | cut -d\  -f2`  %{SOURCE0}" | md5sum -c
echo "`grep -A1 "Checksums-Sha1" %{SOURCE3} | grep %{name}_%{version}.tar.xz | cut -d\  -f2`  %{SOURCE0}" | sha1sum -c
echo "`grep -A1 "Checksums-Sha256" %{SOURCE3} | grep %{name}_%{version}.tar.xz | cut -d\  -f2`  %{SOURCE0}" | sha256sum -c

%setup -q
%patch0 -p1
%patch1 -p1

%build
make all mkpasswd HAVE_LIBIDN2=1 HAVE_ICONV=1 %{?_smp_mflags} \
%if 0%{?suse_version} <= 1140
	HAVE_XCRYPT=1 \
%else
	HAVE_CRYPT_GENSALT=1 \
%endif
	CFLAGS="%{optflags}"

%install
mkdir -p %{buildroot}{%{_prefix}/bin,%{_mandir}/man1}
make BASEDIR=%{buildroot} mandir=%{_mandir} prefix=%{_prefix} \
	install install-mkpasswd install-pos
%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README debian/changelog debian/copyright
%{_bindir}/mkpasswd
%{_bindir}/whois
%{_mandir}/man1/*.1%{ext_man}
%{_mandir}/man5/*.5%{ext_man}

%changelog
